Get Transaction Analytics

Path Params
string
required

The organization ID

Query Params
string

The period to calculate analytics for relative to the current time. Options: 1h, 24h, 7d, 30d, 3mo, 6mo, 1y

string
required

The interval size to calculate analytics for. Defaults to 'day'. Options: hour, day, week, month, year

string

The start time of the period to calculate analytics for (cannot be used in combination with forLast param). Example: ?periodStart=2025-05-29

string

The end time of the period to calculate analytics for (cannot be used in combination with forLast param). Example: ?periodEnd=2025-05-30

string
required

Filter the transaction analytics by attribute(s).

Exact match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by. You can use commas (,) to separate multiple values for the same attribute.

  • Allowed attributes: source

  • Example: ?filter[source]=CARD_PRESENT (to filter card present transactions only)

  • Example: ?filter[source]=INTERNET (to filter internet transactions only)

Scopes:

Filter by specific conditions defined in the model.

NOTE: either merchantId or channelPartnerId must be provided in the query filters.

  • Allowed scopes: merchantId, channelPartnerId

  • Example: ?filter[merchantId]=123456

  • Example: ?filter[merchantId]=123456,789012 (multiple merchant IDs)

  • Example: ?filter[channelPartnerId]=123456

Headers
string
Response

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json